//
// PointsAPI.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation
import Alamofire


open class PointsAPI {
    /**
     * enum for parameter recurranceInterval
     */
    public enum RecurranceInterval_pointsLatitudelongitudeHazardsColdwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet: String { 
        case _1yEAR = "1_YEAR"
        case _5yEAR = "5_YEAR"
        case _10yEAR = "10_YEAR"
        case _20yEAR = "20_YEAR"
    }

    /**
     The Cold Wave risk for a Latitude/Longitude point.

     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  
     - parameter category: (path) The category for the target risk. The risk corrolates to the selected category or higher. For example, CAT_3_DAY would return risk for an event of category 3-day or longer occuring.  Valid categories are: * &#x60;CAT_3_DAY&#x60; -  3-day cold wave or longer * &#x60;CAT_5_DAY&#x60; -  5-day cold wave or longer  
     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func pointsLatitudelongitudeHazardsColdwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsColdwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String, completion: @escaping ((_ data: RiskColdWavePointObj?,_ error: Error?) -> Void)) {
        pointsLatitudelongitudeHazardsColdwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: latitude, longitude: longitude, recurranceInterval: recurranceInterval, category: category).execute { (response, error) -> Void in
            completion(response?.body, error)
        }
    }


    /**
     The Cold Wave risk for a Latitude/Longitude point.
     - GET /points/{latitude},{longitude}/hazards/coldwave/recurrenceinterval/{recurranceInterval}/category/{category}

     - API Key:
       - type: apiKey X-API-KEY 
       - name: ApiKeyAuth
     - examples: [{contentType=application/json, example={
  "riskMetadata" : {
    "riskCategory" : "CAT_1",
    "recurranceInterval" : "1_YEAR",
    "version" : 1
  },
  "location" : {
    "boundingPoints" : [ {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    }, {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    } ],
    "timezone" : "America/New_York",
    "countryCode" : "US",
    "latitude" : 38.8552,
    "countryName" : "United States of America",
    "subdivName" : "Virginia",
    "subdivCode" : "US-VA",
    "longitude" : -77.0513
  },
  "risk" : {
    "prob" : 0.32,
    "extremeValue" : 0.8008282
  },
  "fieldList" : {
    "fields" : {
      "prob" : "Probability of risk between 0 and 1",
      "extremeValue" : "Always NULL for this risk"
    }
  }
}}]
     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  
     - parameter category: (path) The category for the target risk. The risk corrolates to the selected category or higher. For example, CAT_3_DAY would return risk for an event of category 3-day or longer occuring.  Valid categories are: * &#x60;CAT_3_DAY&#x60; -  3-day cold wave or longer * &#x60;CAT_5_DAY&#x60; -  5-day cold wave or longer  

     - returns: RequestBuilder<RiskColdWavePointObj> 
     */
    open class func pointsLatitudelongitudeHazardsColdwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsColdwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String) -> RequestBuilder<RiskColdWavePointObj> {
        var path = "/points/{latitude},{longitude}/hazards/coldwave/recurrenceinterval/{recurranceInterval}/category/{category}"
        let latitudePreEscape = "\(latitude)"
        let latitudePostEscape = latitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{latitude}", with: latitudePostEscape, options: .literal, range: nil)
        let longitudePreEscape = "\(longitude)"
        let longitudePostEscape = longitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{longitude}", with: longitudePostEscape, options: .literal, range: nil)
        let recurranceIntervalPreEscape = "\(recurranceInterval.rawValue)"
        let recurranceIntervalPostEscape = recurranceIntervalPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{recurranceInterval}", with: recurranceIntervalPostEscape, options: .literal, range: nil)
        let categoryPreEscape = "\(category)"
        let categoryPostEscape = categoryPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{category}", with: categoryPostEscape, options: .literal, range: nil)
        let URLString = SwaggerClientAPI.basePath + path
        let parameters: [String:Any]? = nil
        let url = URLComponents(string: URLString)


        let requestBuilder: RequestBuilder<RiskColdWavePointObj>.Type = SwaggerClientAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "GET", URLString: (url?.string ?? URLString), parameters: parameters, isBody: false)
    }
    /**
     * enum for parameter recurranceInterval
     */
    public enum RecurranceInterval_pointsLatitudelongitudeHazardsDroughtRecurrenceintervalRecurranceIntervalCategoryCategoryGet: String { 
        case _1yEAR = "1_YEAR"
        case _5yEAR = "5_YEAR"
        case _10yEAR = "10_YEAR"
        case _20yEAR = "20_YEAR"
    }

    /**
     The Drought risk for a Latitude/Longitude point.

     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  
     - parameter category: (path) The category (SPI Magnitude) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_1&#x60; -  Category 1 or higher * &#x60;CAT_1_5&#x60; -  Category 1.5 or higher * &#x60;CAT_2&#x60; -  Category 2 or higher * &#x60;CAT_2_5&#x60; -  Category 2.5 or higher * &#x60;CAT_3&#x60; -  Category 3 or higher * &#x60;CAT_3_5&#x60; -  Category 3.5 or higher * &#x60;CAT_4&#x60; -  Category 4 or higher * &#x60;CAT_4_5&#x60; -  Category 4.5 or higher * &#x60;CAT_5&#x60; -  Category 5  
     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func pointsLatitudelongitudeHazardsDroughtRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsDroughtRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String, completion: @escaping ((_ data: RiskDroughtPointObj?,_ error: Error?) -> Void)) {
        pointsLatitudelongitudeHazardsDroughtRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: latitude, longitude: longitude, recurranceInterval: recurranceInterval, category: category).execute { (response, error) -> Void in
            completion(response?.body, error)
        }
    }


    /**
     The Drought risk for a Latitude/Longitude point.
     - GET /points/{latitude},{longitude}/hazards/drought/recurrenceinterval/{recurranceInterval}/category/{category}

     - API Key:
       - type: apiKey X-API-KEY 
       - name: ApiKeyAuth
     - examples: [{contentType=application/json, example={
  "riskMetadata" : {
    "riskCategory" : "CAT_1",
    "recurranceInterval" : "1_YEAR",
    "version" : 1
  },
  "location" : {
    "boundingPoints" : [ {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    }, {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    } ],
    "timezone" : "America/New_York",
    "countryCode" : "US",
    "latitude" : 38.8552,
    "countryName" : "United States of America",
    "subdivName" : "Virginia",
    "subdivCode" : "US-VA",
    "longitude" : -77.0513
  },
  "risk" : {
    "prob" : 0.32,
    "extremeValue" : 0.8008282
  },
  "fieldList" : {
    "fields" : {
      "prob" : "Probability of risk between 0 and 1",
      "extremeValue" : "Always NULL for this risk"
    }
  }
}}]
     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  
     - parameter category: (path) The category (SPI Magnitude) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_1&#x60; -  Category 1 or higher * &#x60;CAT_1_5&#x60; -  Category 1.5 or higher * &#x60;CAT_2&#x60; -  Category 2 or higher * &#x60;CAT_2_5&#x60; -  Category 2.5 or higher * &#x60;CAT_3&#x60; -  Category 3 or higher * &#x60;CAT_3_5&#x60; -  Category 3.5 or higher * &#x60;CAT_4&#x60; -  Category 4 or higher * &#x60;CAT_4_5&#x60; -  Category 4.5 or higher * &#x60;CAT_5&#x60; -  Category 5  

     - returns: RequestBuilder<RiskDroughtPointObj> 
     */
    open class func pointsLatitudelongitudeHazardsDroughtRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsDroughtRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String) -> RequestBuilder<RiskDroughtPointObj> {
        var path = "/points/{latitude},{longitude}/hazards/drought/recurrenceinterval/{recurranceInterval}/category/{category}"
        let latitudePreEscape = "\(latitude)"
        let latitudePostEscape = latitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{latitude}", with: latitudePostEscape, options: .literal, range: nil)
        let longitudePreEscape = "\(longitude)"
        let longitudePostEscape = longitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{longitude}", with: longitudePostEscape, options: .literal, range: nil)
        let recurranceIntervalPreEscape = "\(recurranceInterval.rawValue)"
        let recurranceIntervalPostEscape = recurranceIntervalPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{recurranceInterval}", with: recurranceIntervalPostEscape, options: .literal, range: nil)
        let categoryPreEscape = "\(category)"
        let categoryPostEscape = categoryPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{category}", with: categoryPostEscape, options: .literal, range: nil)
        let URLString = SwaggerClientAPI.basePath + path
        let parameters: [String:Any]? = nil
        let url = URLComponents(string: URLString)


        let requestBuilder: RequestBuilder<RiskDroughtPointObj>.Type = SwaggerClientAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "GET", URLString: (url?.string ?? URLString), parameters: parameters, isBody: false)
    }
    /**
     * enum for parameter recurranceInterval
     */
    public enum RecurranceInterval_pointsLatitudelongitudeHazardsEarthquakeRecurrenceintervalRecurranceIntervalCategoryCategoryGet: String { 
        case _1yEAR = "1_YEAR"
        case _5yEAR = "5_YEAR"
        case _10yEAR = "10_YEAR"
        case _20yEAR = "20_YEAR"
        case _50yEAR = "50_YEAR"
        case _75yEAR = "75_YEAR"
        case _100yEAR = "100_YEAR"
    }

    /**
     The Earthquake risk for a Latitude/Longitude point.

     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR  
     - parameter category: (path) The category (Gutenberg Richter value) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_1&#x60; -  Category 1 or higher * &#x60;CAT_2&#x60; -  Category 2 or higher * &#x60;CAT_3&#x60; -  Category 3 or higher * &#x60;CAT_4&#x60; -  Category 4 or higher * &#x60;CAT_5&#x60; -  Category 5 or higher * &#x60;CAT_6&#x60; -  Category 6 or higher * &#x60;CAT_7&#x60; -  Category 7 or higher * &#x60;CAT_8&#x60; -  Category 8 or higher * &#x60;CAT_9&#x60; -  Category 9  
     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func pointsLatitudelongitudeHazardsEarthquakeRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsEarthquakeRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String, completion: @escaping ((_ data: RiskEarthquakePointObj?,_ error: Error?) -> Void)) {
        pointsLatitudelongitudeHazardsEarthquakeRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: latitude, longitude: longitude, recurranceInterval: recurranceInterval, category: category).execute { (response, error) -> Void in
            completion(response?.body, error)
        }
    }


    /**
     The Earthquake risk for a Latitude/Longitude point.
     - GET /points/{latitude},{longitude}/hazards/earthquake/recurrenceinterval/{recurranceInterval}/category/{category}

     - API Key:
       - type: apiKey X-API-KEY 
       - name: ApiKeyAuth
     - examples: [{contentType=application/json, example={
  "riskMetadata" : {
    "riskCategory" : "CAT_1",
    "recurranceInterval" : "1_YEAR",
    "version" : 1
  },
  "location" : {
    "boundingPoints" : [ {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    }, {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    } ],
    "timezone" : "America/New_York",
    "countryCode" : "US",
    "latitude" : 38.8552,
    "countryName" : "United States of America",
    "subdivName" : "Virginia",
    "subdivCode" : "US-VA",
    "longitude" : -77.0513
  },
  "risk" : {
    "prob" : 0.32,
    "extremeValue" : 0.8008282
  },
  "fieldList" : {
    "fields" : {
      "prob" : "Probability of risk between 0 and 1",
      "extremeValue" : "Always NULL for this risk"
    }
  }
}}]
     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR  
     - parameter category: (path) The category (Gutenberg Richter value) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_1&#x60; -  Category 1 or higher * &#x60;CAT_2&#x60; -  Category 2 or higher * &#x60;CAT_3&#x60; -  Category 3 or higher * &#x60;CAT_4&#x60; -  Category 4 or higher * &#x60;CAT_5&#x60; -  Category 5 or higher * &#x60;CAT_6&#x60; -  Category 6 or higher * &#x60;CAT_7&#x60; -  Category 7 or higher * &#x60;CAT_8&#x60; -  Category 8 or higher * &#x60;CAT_9&#x60; -  Category 9  

     - returns: RequestBuilder<RiskEarthquakePointObj> 
     */
    open class func pointsLatitudelongitudeHazardsEarthquakeRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsEarthquakeRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String) -> RequestBuilder<RiskEarthquakePointObj> {
        var path = "/points/{latitude},{longitude}/hazards/earthquake/recurrenceinterval/{recurranceInterval}/category/{category}"
        let latitudePreEscape = "\(latitude)"
        let latitudePostEscape = latitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{latitude}", with: latitudePostEscape, options: .literal, range: nil)
        let longitudePreEscape = "\(longitude)"
        let longitudePostEscape = longitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{longitude}", with: longitudePostEscape, options: .literal, range: nil)
        let recurranceIntervalPreEscape = "\(recurranceInterval.rawValue)"
        let recurranceIntervalPostEscape = recurranceIntervalPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{recurranceInterval}", with: recurranceIntervalPostEscape, options: .literal, range: nil)
        let categoryPreEscape = "\(category)"
        let categoryPostEscape = categoryPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{category}", with: categoryPostEscape, options: .literal, range: nil)
        let URLString = SwaggerClientAPI.basePath + path
        let parameters: [String:Any]? = nil
        let url = URLComponents(string: URLString)


        let requestBuilder: RequestBuilder<RiskEarthquakePointObj>.Type = SwaggerClientAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "GET", URLString: (url?.string ?? URLString), parameters: parameters, isBody: false)
    }
    /**
     * enum for parameter recurranceInterval
     */
    public enum RecurranceInterval_pointsLatitudelongitudeHazardsFloodRecurrenceintervalRecurranceIntervalGet: String { 
        case _1yEAR = "1_YEAR"
        case _5yEAR = "5_YEAR"
        case _10yEAR = "10_YEAR"
        case _20yEAR = "20_YEAR"
        case _50yEAR = "50_YEAR"
        case _75yEAR = "75_YEAR"
        case _100yEAR = "100_YEAR"
    }

    /**
     The Flood risk for a Latitude/Longitude point.

     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR  
     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func pointsLatitudelongitudeHazardsFloodRecurrenceintervalRecurranceIntervalGet(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsFloodRecurrenceintervalRecurranceIntervalGet, completion: @escaping ((_ data: RiskFloodPointObj?,_ error: Error?) -> Void)) {
        pointsLatitudelongitudeHazardsFloodRecurrenceintervalRecurranceIntervalGetWithRequestBuilder(latitude: latitude, longitude: longitude, recurranceInterval: recurranceInterval).execute { (response, error) -> Void in
            completion(response?.body, error)
        }
    }


    /**
     The Flood risk for a Latitude/Longitude point.
     - GET /points/{latitude},{longitude}/hazards/flood/recurrenceinterval/{recurranceInterval}

     - API Key:
       - type: apiKey X-API-KEY 
       - name: ApiKeyAuth
     - examples: [{contentType=application/json, example={
  "riskMetadata" : {
    "riskCategory" : "CAT_1",
    "recurranceInterval" : "1_YEAR",
    "version" : 1
  },
  "location" : {
    "boundingPoints" : [ {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    }, {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    } ],
    "timezone" : "America/New_York",
    "countryCode" : "US",
    "latitude" : 38.8552,
    "countryName" : "United States of America",
    "subdivName" : "Virginia",
    "subdivCode" : "US-VA",
    "longitude" : -77.0513
  },
  "risk" : {
    "prob" : 0.08008282,
    "extremeValue" : 2.5
  },
  "fieldList" : {
    "fields" : {
      "prob" : "Always NULL for this risk",
      "extremeValue" : "Maximum depth in meters"
    }
  }
}}]
     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR  

     - returns: RequestBuilder<RiskFloodPointObj> 
     */
    open class func pointsLatitudelongitudeHazardsFloodRecurrenceintervalRecurranceIntervalGetWithRequestBuilder(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsFloodRecurrenceintervalRecurranceIntervalGet) -> RequestBuilder<RiskFloodPointObj> {
        var path = "/points/{latitude},{longitude}/hazards/flood/recurrenceinterval/{recurranceInterval}"
        let latitudePreEscape = "\(latitude)"
        let latitudePostEscape = latitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{latitude}", with: latitudePostEscape, options: .literal, range: nil)
        let longitudePreEscape = "\(longitude)"
        let longitudePostEscape = longitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{longitude}", with: longitudePostEscape, options: .literal, range: nil)
        let recurranceIntervalPreEscape = "\(recurranceInterval.rawValue)"
        let recurranceIntervalPostEscape = recurranceIntervalPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{recurranceInterval}", with: recurranceIntervalPostEscape, options: .literal, range: nil)
        let URLString = SwaggerClientAPI.basePath + path
        let parameters: [String:Any]? = nil
        let url = URLComponents(string: URLString)


        let requestBuilder: RequestBuilder<RiskFloodPointObj>.Type = SwaggerClientAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "GET", URLString: (url?.string ?? URLString), parameters: parameters, isBody: false)
    }
    /**
     * enum for parameter recurranceInterval
     */
    public enum RecurranceInterval_pointsLatitudelongitudeHazardsHailRecurrenceintervalRecurranceIntervalCategoryCategoryGet: String { 
        case _1yEAR = "1_YEAR"
        case _5yEAR = "5_YEAR"
        case _10yEAR = "10_YEAR"
        case _20yEAR = "20_YEAR"
    }

    /**
     The Hail risk for a Latitude/Longitude point.

     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  
     - parameter category: (path) The category for the target risk. The risk corrolates to the selected category or higher. For example, CAT_SEVERE would return risk for an event of category Severe or higher occuring.  Valid categories are: * &#x60;CAT_SEVERE&#x60; -  Category Severe or higher (&gt;&#x3D; .75-inches) * &#x60;CAT_LARGE&#x60; -  Category Severe Large or higher (&gt;&#x3D; 1.25-inches) * &#x60;CAT_VERY_LARGE&#x60; -  Category Severe Very Large or higher (&gt;&#x3D; 1.75-inches) * &#x60;CAT_GIANT&#x60; -  Category Severe Giant (&gt;&#x3D; 2.75-inches)  
     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func pointsLatitudelongitudeHazardsHailRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsHailRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String, completion: @escaping ((_ data: RiskHailPointObj?,_ error: Error?) -> Void)) {
        pointsLatitudelongitudeHazardsHailRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: latitude, longitude: longitude, recurranceInterval: recurranceInterval, category: category).execute { (response, error) -> Void in
            completion(response?.body, error)
        }
    }


    /**
     The Hail risk for a Latitude/Longitude point.
     - GET /points/{latitude},{longitude}/hazards/hail/recurrenceinterval/{recurranceInterval}/category/{category}

     - API Key:
       - type: apiKey X-API-KEY 
       - name: ApiKeyAuth
     - examples: [{contentType=application/json, example={
  "riskMetadata" : {
    "riskCategory" : "CAT_1",
    "recurranceInterval" : "1_YEAR",
    "version" : 1
  },
  "location" : {
    "boundingPoints" : [ {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    }, {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    } ],
    "timezone" : "America/New_York",
    "countryCode" : "US",
    "latitude" : 38.8552,
    "countryName" : "United States of America",
    "subdivName" : "Virginia",
    "subdivCode" : "US-VA",
    "longitude" : -77.0513
  },
  "risk" : {
    "prob" : 0.32,
    "extremeValue" : 0.8008282
  },
  "fieldList" : {
    "fields" : {
      "prob" : "Probability of risk between 0 and 1",
      "extremeValue" : "Always NULL for this risk"
    }
  }
}}]
     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  
     - parameter category: (path) The category for the target risk. The risk corrolates to the selected category or higher. For example, CAT_SEVERE would return risk for an event of category Severe or higher occuring.  Valid categories are: * &#x60;CAT_SEVERE&#x60; -  Category Severe or higher (&gt;&#x3D; .75-inches) * &#x60;CAT_LARGE&#x60; -  Category Severe Large or higher (&gt;&#x3D; 1.25-inches) * &#x60;CAT_VERY_LARGE&#x60; -  Category Severe Very Large or higher (&gt;&#x3D; 1.75-inches) * &#x60;CAT_GIANT&#x60; -  Category Severe Giant (&gt;&#x3D; 2.75-inches)  

     - returns: RequestBuilder<RiskHailPointObj> 
     */
    open class func pointsLatitudelongitudeHazardsHailRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsHailRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String) -> RequestBuilder<RiskHailPointObj> {
        var path = "/points/{latitude},{longitude}/hazards/hail/recurrenceinterval/{recurranceInterval}/category/{category}"
        let latitudePreEscape = "\(latitude)"
        let latitudePostEscape = latitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{latitude}", with: latitudePostEscape, options: .literal, range: nil)
        let longitudePreEscape = "\(longitude)"
        let longitudePostEscape = longitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{longitude}", with: longitudePostEscape, options: .literal, range: nil)
        let recurranceIntervalPreEscape = "\(recurranceInterval.rawValue)"
        let recurranceIntervalPostEscape = recurranceIntervalPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{recurranceInterval}", with: recurranceIntervalPostEscape, options: .literal, range: nil)
        let categoryPreEscape = "\(category)"
        let categoryPostEscape = categoryPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{category}", with: categoryPostEscape, options: .literal, range: nil)
        let URLString = SwaggerClientAPI.basePath + path
        let parameters: [String:Any]? = nil
        let url = URLComponents(string: URLString)


        let requestBuilder: RequestBuilder<RiskHailPointObj>.Type = SwaggerClientAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "GET", URLString: (url?.string ?? URLString), parameters: parameters, isBody: false)
    }
    /**
     * enum for parameter recurranceInterval
     */
    public enum RecurranceInterval_pointsLatitudelongitudeHazardsHeatwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet: String { 
        case _1yEAR = "1_YEAR"
        case _5yEAR = "5_YEAR"
        case _10yEAR = "10_YEAR"
        case _20yEAR = "20_YEAR"
    }

    /**
     The Heat Wave risk for a Latitude/Longitude point.

     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  
     - parameter category: (path) The category for the target risk. The risk corrolates to the selected category or higher. For example, CAT_3_DAY would return risk for an event of category 3-day or longer occuring.  Valid categories are: * &#x60;CAT_3_DAY&#x60; -  3-day heat wave or longer * &#x60;CAT_5_DAY&#x60; -  5-day heat wave or longer  
     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func pointsLatitudelongitudeHazardsHeatwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsHeatwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String, completion: @escaping ((_ data: RiskHeatWavePointObj?,_ error: Error?) -> Void)) {
        pointsLatitudelongitudeHazardsHeatwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: latitude, longitude: longitude, recurranceInterval: recurranceInterval, category: category).execute { (response, error) -> Void in
            completion(response?.body, error)
        }
    }


    /**
     The Heat Wave risk for a Latitude/Longitude point.
     - GET /points/{latitude},{longitude}/hazards/heatwave/recurrenceinterval/{recurranceInterval}/category/{category}

     - API Key:
       - type: apiKey X-API-KEY 
       - name: ApiKeyAuth
     - examples: [{contentType=application/json, example={
  "riskMetadata" : {
    "riskCategory" : "CAT_1",
    "recurranceInterval" : "1_YEAR",
    "version" : 1
  },
  "location" : {
    "boundingPoints" : [ {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    }, {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    } ],
    "timezone" : "America/New_York",
    "countryCode" : "US",
    "latitude" : 38.8552,
    "countryName" : "United States of America",
    "subdivName" : "Virginia",
    "subdivCode" : "US-VA",
    "longitude" : -77.0513
  },
  "risk" : {
    "prob" : 0.32,
    "extremeValue" : 0.8008282
  },
  "fieldList" : {
    "fields" : {
      "prob" : "Probability of risk between 0 and 1",
      "extremeValue" : "Always NULL for this risk"
    }
  }
}}]
     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  
     - parameter category: (path) The category for the target risk. The risk corrolates to the selected category or higher. For example, CAT_3_DAY would return risk for an event of category 3-day or longer occuring.  Valid categories are: * &#x60;CAT_3_DAY&#x60; -  3-day heat wave or longer * &#x60;CAT_5_DAY&#x60; -  5-day heat wave or longer  

     - returns: RequestBuilder<RiskHeatWavePointObj> 
     */
    open class func pointsLatitudelongitudeHazardsHeatwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsHeatwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String) -> RequestBuilder<RiskHeatWavePointObj> {
        var path = "/points/{latitude},{longitude}/hazards/heatwave/recurrenceinterval/{recurranceInterval}/category/{category}"
        let latitudePreEscape = "\(latitude)"
        let latitudePostEscape = latitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{latitude}", with: latitudePostEscape, options: .literal, range: nil)
        let longitudePreEscape = "\(longitude)"
        let longitudePostEscape = longitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{longitude}", with: longitudePostEscape, options: .literal, range: nil)
        let recurranceIntervalPreEscape = "\(recurranceInterval.rawValue)"
        let recurranceIntervalPostEscape = recurranceIntervalPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{recurranceInterval}", with: recurranceIntervalPostEscape, options: .literal, range: nil)
        let categoryPreEscape = "\(category)"
        let categoryPostEscape = categoryPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{category}", with: categoryPostEscape, options: .literal, range: nil)
        let URLString = SwaggerClientAPI.basePath + path
        let parameters: [String:Any]? = nil
        let url = URLComponents(string: URLString)


        let requestBuilder: RequestBuilder<RiskHeatWavePointObj>.Type = SwaggerClientAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "GET", URLString: (url?.string ?? URLString), parameters: parameters, isBody: false)
    }
    /**
     * enum for parameter recurranceInterval
     */
    public enum RecurranceInterval_pointsLatitudelongitudeHazardsTornadoRecurrenceintervalRecurranceIntervalCategoryCategoryGet: String { 
        case _1yEAR = "1_YEAR"
        case _5yEAR = "5_YEAR"
        case _10yEAR = "10_YEAR"
        case _20yEAR = "20_YEAR"
    }

    /**
     The Tornado risk for a Latitude/Longitude point.

     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  
     - parameter category: (path) The category (Enhanced Fugita Scale) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_EF1 would return risk for an event of category EF1 or higher occuring.  Valid categories are: * &#x60;CAT_EF0&#x60; -  Category EF0  or higher (&gt;&#x3D; 40 mph estimated wind speeds) * &#x60;CAT_EF1&#x60; -  Category EF1  or higher (&gt;&#x3D; 73 mph estimated wind speeds) * &#x60;CAT_EF2&#x60; -  Category EF2  or higher (&gt;&#x3D; 113 mph estimated wind speeds) * &#x60;CAT_EF3&#x60; -  Category EF3  or higher (&gt;&#x3D; 158 mph estimated wind speeds) * &#x60;CAT_EF4&#x60; -  Category EF4  or higher (&gt;&#x3D; 207 mph estimated wind speeds) * &#x60;CAT_EF5&#x60; -  Category EF5  or higher (&gt;&#x3D; 260 mph estimated wind speeds)  
     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func pointsLatitudelongitudeHazardsTornadoRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsTornadoRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String, completion: @escaping ((_ data: RiskTornadoPointObj?,_ error: Error?) -> Void)) {
        pointsLatitudelongitudeHazardsTornadoRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: latitude, longitude: longitude, recurranceInterval: recurranceInterval, category: category).execute { (response, error) -> Void in
            completion(response?.body, error)
        }
    }


    /**
     The Tornado risk for a Latitude/Longitude point.
     - GET /points/{latitude},{longitude}/hazards/tornado/recurrenceinterval/{recurranceInterval}/category/{category}

     - API Key:
       - type: apiKey X-API-KEY 
       - name: ApiKeyAuth
     - examples: [{contentType=application/json, example={
  "riskMetadata" : {
    "riskCategory" : "CAT_1",
    "recurranceInterval" : "1_YEAR",
    "version" : 1
  },
  "location" : {
    "boundingPoints" : [ {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    }, {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    } ],
    "timezone" : "America/New_York",
    "countryCode" : "US",
    "latitude" : 38.8552,
    "countryName" : "United States of America",
    "subdivName" : "Virginia",
    "subdivCode" : "US-VA",
    "longitude" : -77.0513
  },
  "risk" : {
    "prob" : 0.32,
    "extremeValue" : 0.8008282
  },
  "fieldList" : {
    "fields" : {
      "prob" : "Probability of risk between 0 and 1",
      "extremeValue" : "Always NULL for this risk"
    }
  }
}}]
     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  
     - parameter category: (path) The category (Enhanced Fugita Scale) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_EF1 would return risk for an event of category EF1 or higher occuring.  Valid categories are: * &#x60;CAT_EF0&#x60; -  Category EF0  or higher (&gt;&#x3D; 40 mph estimated wind speeds) * &#x60;CAT_EF1&#x60; -  Category EF1  or higher (&gt;&#x3D; 73 mph estimated wind speeds) * &#x60;CAT_EF2&#x60; -  Category EF2  or higher (&gt;&#x3D; 113 mph estimated wind speeds) * &#x60;CAT_EF3&#x60; -  Category EF3  or higher (&gt;&#x3D; 158 mph estimated wind speeds) * &#x60;CAT_EF4&#x60; -  Category EF4  or higher (&gt;&#x3D; 207 mph estimated wind speeds) * &#x60;CAT_EF5&#x60; -  Category EF5  or higher (&gt;&#x3D; 260 mph estimated wind speeds)  

     - returns: RequestBuilder<RiskTornadoPointObj> 
     */
    open class func pointsLatitudelongitudeHazardsTornadoRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsTornadoRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String) -> RequestBuilder<RiskTornadoPointObj> {
        var path = "/points/{latitude},{longitude}/hazards/tornado/recurrenceinterval/{recurranceInterval}/category/{category}"
        let latitudePreEscape = "\(latitude)"
        let latitudePostEscape = latitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{latitude}", with: latitudePostEscape, options: .literal, range: nil)
        let longitudePreEscape = "\(longitude)"
        let longitudePostEscape = longitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{longitude}", with: longitudePostEscape, options: .literal, range: nil)
        let recurranceIntervalPreEscape = "\(recurranceInterval.rawValue)"
        let recurranceIntervalPostEscape = recurranceIntervalPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{recurranceInterval}", with: recurranceIntervalPostEscape, options: .literal, range: nil)
        let categoryPreEscape = "\(category)"
        let categoryPostEscape = categoryPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{category}", with: categoryPostEscape, options: .literal, range: nil)
        let URLString = SwaggerClientAPI.basePath + path
        let parameters: [String:Any]? = nil
        let url = URLComponents(string: URLString)


        let requestBuilder: RequestBuilder<RiskTornadoPointObj>.Type = SwaggerClientAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "GET", URLString: (url?.string ?? URLString), parameters: parameters, isBody: false)
    }
    /**
     * enum for parameter recurranceInterval
     */
    public enum RecurranceInterval_pointsLatitudelongitudeHazardsTropicalcycloneRecurrenceintervalRecurranceIntervalCategoryCategoryGet: String { 
        case _1yEAR = "1_YEAR"
        case _5yEAR = "5_YEAR"
        case _10yEAR = "10_YEAR"
        case _20yEAR = "20_YEAR"
    }

    /**
     The Tropical Cyclone risk for a Latitude/Longitude point.

     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  
     - parameter category: (path) The category (Saffir-Simpson Scale) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_TS&#x60; - Category Tropical Storm (&gt;&#x3D; 34 knots sustained wind speed) * &#x60;CAT_1&#x60; - Category 1 or higher (&gt;&#x3D; 65 knots sustained wind speed) * &#x60;CAT_2&#x60; - Category 2 or higher (&gt;&#x3D; 74 knots sustained wind speed) * &#x60;CAT_3&#x60; - Category 3 or higher (&gt;&#x3D; 96 knots sustained wind speed) * &#x60;CAT_4&#x60; - Category 4 or higher (&gt;&#x3D; 114 knots sustained wind speed) * &#x60;CAT_5&#x60; - Category 5 (&gt;&#x3D; 135 knots sustained wind speed)  
     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func pointsLatitudelongitudeHazardsTropicalcycloneRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsTropicalcycloneRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String, completion: @escaping ((_ data: RiskTropicalCyclonePointObj?,_ error: Error?) -> Void)) {
        pointsLatitudelongitudeHazardsTropicalcycloneRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: latitude, longitude: longitude, recurranceInterval: recurranceInterval, category: category).execute { (response, error) -> Void in
            completion(response?.body, error)
        }
    }


    /**
     The Tropical Cyclone risk for a Latitude/Longitude point.
     - GET /points/{latitude},{longitude}/hazards/tropicalcyclone/recurrenceinterval/{recurranceInterval}/category/{category}

     - API Key:
       - type: apiKey X-API-KEY 
       - name: ApiKeyAuth
     - examples: [{contentType=application/json, example={
  "riskMetadata" : {
    "riskCategory" : "CAT_1",
    "recurranceInterval" : "1_YEAR",
    "version" : 1
  },
  "location" : {
    "boundingPoints" : [ {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    }, {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    } ],
    "timezone" : "America/New_York",
    "countryCode" : "US",
    "latitude" : 38.8552,
    "countryName" : "United States of America",
    "subdivName" : "Virginia",
    "subdivCode" : "US-VA",
    "longitude" : -77.0513
  },
  "risk" : {
    "prob" : 0.32,
    "extremeValue" : 142
  },
  "fieldList" : {
    "fields" : {
      "prob" : "Probability of risk between 0 and 1",
      "extremeValue" : "Wind speed in knots"
    }
  }
}}]
     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  
     - parameter category: (path) The category (Saffir-Simpson Scale) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_TS&#x60; - Category Tropical Storm (&gt;&#x3D; 34 knots sustained wind speed) * &#x60;CAT_1&#x60; - Category 1 or higher (&gt;&#x3D; 65 knots sustained wind speed) * &#x60;CAT_2&#x60; - Category 2 or higher (&gt;&#x3D; 74 knots sustained wind speed) * &#x60;CAT_3&#x60; - Category 3 or higher (&gt;&#x3D; 96 knots sustained wind speed) * &#x60;CAT_4&#x60; - Category 4 or higher (&gt;&#x3D; 114 knots sustained wind speed) * &#x60;CAT_5&#x60; - Category 5 (&gt;&#x3D; 135 knots sustained wind speed)  

     - returns: RequestBuilder<RiskTropicalCyclonePointObj> 
     */
    open class func pointsLatitudelongitudeHazardsTropicalcycloneRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsTropicalcycloneRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String) -> RequestBuilder<RiskTropicalCyclonePointObj> {
        var path = "/points/{latitude},{longitude}/hazards/tropicalcyclone/recurrenceinterval/{recurranceInterval}/category/{category}"
        let latitudePreEscape = "\(latitude)"
        let latitudePostEscape = latitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{latitude}", with: latitudePostEscape, options: .literal, range: nil)
        let longitudePreEscape = "\(longitude)"
        let longitudePostEscape = longitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{longitude}", with: longitudePostEscape, options: .literal, range: nil)
        let recurranceIntervalPreEscape = "\(recurranceInterval.rawValue)"
        let recurranceIntervalPostEscape = recurranceIntervalPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{recurranceInterval}", with: recurranceIntervalPostEscape, options: .literal, range: nil)
        let categoryPreEscape = "\(category)"
        let categoryPostEscape = categoryPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{category}", with: categoryPostEscape, options: .literal, range: nil)
        let URLString = SwaggerClientAPI.basePath + path
        let parameters: [String:Any]? = nil
        let url = URLComponents(string: URLString)


        let requestBuilder: RequestBuilder<RiskTropicalCyclonePointObj>.Type = SwaggerClientAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "GET", URLString: (url?.string ?? URLString), parameters: parameters, isBody: false)
    }
    /**
     * enum for parameter recurranceInterval
     */
    public enum RecurranceInterval_pointsLatitudelongitudeHazardsTsunamiRecurrenceintervalRecurranceIntervalCategoryCategoryGet: String { 
        case _1yEAR = "1_YEAR"
        case _5yEAR = "5_YEAR"
        case _10yEAR = "10_YEAR"
        case _20yEAR = "20_YEAR"
        case _50yEAR = "50_YEAR"
        case _75yEAR = "75_YEAR"
        case _100yEAR = "100_YEAR"
    }

    /**
     The Tsunami risk for a Latitude/Longitude point.

     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR  
     - parameter category: (path) The category (Gutenberg Richter value) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_1&#x60; -  Category 1 or higher * &#x60;CAT_2&#x60; -  Category 2 or higher * &#x60;CAT_3&#x60; -  Category 3 or higher * &#x60;CAT_4&#x60; -  Category 4 or higher * &#x60;CAT_5&#x60; -  Category 5 or higher * &#x60;CAT_6&#x60; -  Category 6 or higher * &#x60;CAT_7&#x60; -  Category 7 or higher * &#x60;CAT_8&#x60; -  Category 8 or higher * &#x60;CAT_9&#x60; -  Category 9  
     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func pointsLatitudelongitudeHazardsTsunamiRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsTsunamiRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String, completion: @escaping ((_ data: RiskTsunamiPointObj?,_ error: Error?) -> Void)) {
        pointsLatitudelongitudeHazardsTsunamiRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: latitude, longitude: longitude, recurranceInterval: recurranceInterval, category: category).execute { (response, error) -> Void in
            completion(response?.body, error)
        }
    }


    /**
     The Tsunami risk for a Latitude/Longitude point.
     - GET /points/{latitude},{longitude}/hazards/tsunami/recurrenceinterval/{recurranceInterval}/category/{category}

     - API Key:
       - type: apiKey X-API-KEY 
       - name: ApiKeyAuth
     - examples: [{contentType=application/json, example={
  "riskMetadata" : {
    "riskCategory" : "CAT_1",
    "recurranceInterval" : "1_YEAR",
    "version" : 1
  },
  "location" : {
    "boundingPoints" : [ {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    }, {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    } ],
    "timezone" : "America/New_York",
    "countryCode" : "US",
    "latitude" : 38.8552,
    "countryName" : "United States of America",
    "subdivName" : "Virginia",
    "subdivCode" : "US-VA",
    "longitude" : -77.0513
  },
  "risk" : {
    "prob" : 0.32,
    "extremeValue" : 0.8008282
  },
  "fieldList" : {
    "fields" : {
      "prob" : "Probability of risk between 0 and 1",
      "extremeValue" : "Always NULL for this risk"
    }
  }
}}]
     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR  
     - parameter category: (path) The category (Gutenberg Richter value) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_1&#x60; -  Category 1 or higher * &#x60;CAT_2&#x60; -  Category 2 or higher * &#x60;CAT_3&#x60; -  Category 3 or higher * &#x60;CAT_4&#x60; -  Category 4 or higher * &#x60;CAT_5&#x60; -  Category 5 or higher * &#x60;CAT_6&#x60; -  Category 6 or higher * &#x60;CAT_7&#x60; -  Category 7 or higher * &#x60;CAT_8&#x60; -  Category 8 or higher * &#x60;CAT_9&#x60; -  Category 9  

     - returns: RequestBuilder<RiskTsunamiPointObj> 
     */
    open class func pointsLatitudelongitudeHazardsTsunamiRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsTsunamiRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String) -> RequestBuilder<RiskTsunamiPointObj> {
        var path = "/points/{latitude},{longitude}/hazards/tsunami/recurrenceinterval/{recurranceInterval}/category/{category}"
        let latitudePreEscape = "\(latitude)"
        let latitudePostEscape = latitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{latitude}", with: latitudePostEscape, options: .literal, range: nil)
        let longitudePreEscape = "\(longitude)"
        let longitudePostEscape = longitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{longitude}", with: longitudePostEscape, options: .literal, range: nil)
        let recurranceIntervalPreEscape = "\(recurranceInterval.rawValue)"
        let recurranceIntervalPostEscape = recurranceIntervalPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{recurranceInterval}", with: recurranceIntervalPostEscape, options: .literal, range: nil)
        let categoryPreEscape = "\(category)"
        let categoryPostEscape = categoryPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{category}", with: categoryPostEscape, options: .literal, range: nil)
        let URLString = SwaggerClientAPI.basePath + path
        let parameters: [String:Any]? = nil
        let url = URLComponents(string: URLString)


        let requestBuilder: RequestBuilder<RiskTsunamiPointObj>.Type = SwaggerClientAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "GET", URLString: (url?.string ?? URLString), parameters: parameters, isBody: false)
    }
    /**
     * enum for parameter recurranceInterval
     */
    public enum RecurranceInterval_pointsLatitudelongitudeHazardsVolcanoRecurrenceintervalRecurranceIntervalCategoryCategoryGet: String { 
        case _1yEAR = "1_YEAR"
        case _5yEAR = "5_YEAR"
        case _10yEAR = "10_YEAR"
        case _20yEAR = "20_YEAR"
        case _50yEAR = "50_YEAR"
        case _75yEAR = "75_YEAR"
        case _100yEAR = "100_YEAR"
    }

    /**
     The Volcano risk for a Latitude/Longitude point.

     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR  
     - parameter category: (path) The category (Volcanic Explosive Index) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_1&#x60; -  Category 1 or higher * &#x60;CAT_2&#x60; -  Category 2 or higher * &#x60;CAT_3&#x60; -  Category 3 or higher * &#x60;CAT_4&#x60; -  Category 4 or higher * &#x60;CAT_5&#x60; -  Category 5 or higher * &#x60;CAT_6&#x60; -  Category 6 or higher * &#x60;CAT_7&#x60; -  Category 7 or higher * &#x60;CAT_8&#x60; -  Category 8 or higher * &#x60;CAT_9&#x60; -  Category 9  
     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func pointsLatitudelongitudeHazardsVolcanoRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsVolcanoRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String, completion: @escaping ((_ data: RiskVolcanoPointObj?,_ error: Error?) -> Void)) {
        pointsLatitudelongitudeHazardsVolcanoRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: latitude, longitude: longitude, recurranceInterval: recurranceInterval, category: category).execute { (response, error) -> Void in
            completion(response?.body, error)
        }
    }


    /**
     The Volcano risk for a Latitude/Longitude point.
     - GET /points/{latitude},{longitude}/hazards/volcano/recurrenceinterval/{recurranceInterval}/category/{category}

     - API Key:
       - type: apiKey X-API-KEY 
       - name: ApiKeyAuth
     - examples: [{contentType=application/json, example={
  "riskMetadata" : {
    "riskCategory" : "CAT_1",
    "recurranceInterval" : "1_YEAR",
    "version" : 1
  },
  "location" : {
    "boundingPoints" : [ {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    }, {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    } ],
    "timezone" : "America/New_York",
    "countryCode" : "US",
    "latitude" : 38.8552,
    "countryName" : "United States of America",
    "subdivName" : "Virginia",
    "subdivCode" : "US-VA",
    "longitude" : -77.0513
  },
  "risk" : {
    "prob" : 0.32,
    "extremeValue" : 0.8008282
  },
  "fieldList" : {
    "fields" : {
      "prob" : "Probability of risk between 0 and 1",
      "extremeValue" : "Always NULL for this risk"
    }
  }
}}]
     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR  
     - parameter category: (path) The category (Volcanic Explosive Index) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_1&#x60; -  Category 1 or higher * &#x60;CAT_2&#x60; -  Category 2 or higher * &#x60;CAT_3&#x60; -  Category 3 or higher * &#x60;CAT_4&#x60; -  Category 4 or higher * &#x60;CAT_5&#x60; -  Category 5 or higher * &#x60;CAT_6&#x60; -  Category 6 or higher * &#x60;CAT_7&#x60; -  Category 7 or higher * &#x60;CAT_8&#x60; -  Category 8 or higher * &#x60;CAT_9&#x60; -  Category 9  

     - returns: RequestBuilder<RiskVolcanoPointObj> 
     */
    open class func pointsLatitudelongitudeHazardsVolcanoRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsVolcanoRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String) -> RequestBuilder<RiskVolcanoPointObj> {
        var path = "/points/{latitude},{longitude}/hazards/volcano/recurrenceinterval/{recurranceInterval}/category/{category}"
        let latitudePreEscape = "\(latitude)"
        let latitudePostEscape = latitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{latitude}", with: latitudePostEscape, options: .literal, range: nil)
        let longitudePreEscape = "\(longitude)"
        let longitudePostEscape = longitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{longitude}", with: longitudePostEscape, options: .literal, range: nil)
        let recurranceIntervalPreEscape = "\(recurranceInterval.rawValue)"
        let recurranceIntervalPostEscape = recurranceIntervalPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{recurranceInterval}", with: recurranceIntervalPostEscape, options: .literal, range: nil)
        let categoryPreEscape = "\(category)"
        let categoryPostEscape = categoryPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{category}", with: categoryPostEscape, options: .literal, range: nil)
        let URLString = SwaggerClientAPI.basePath + path
        let parameters: [String:Any]? = nil
        let url = URLComponents(string: URLString)


        let requestBuilder: RequestBuilder<RiskVolcanoPointObj>.Type = SwaggerClientAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "GET", URLString: (url?.string ?? URLString), parameters: parameters, isBody: false)
    }
    /**
     * enum for parameter recurranceInterval
     */
    public enum RecurranceInterval_pointsLatitudelongitudeHazardsWildfireRecurrenceintervalRecurranceIntervalCategoryCategoryGet: String { 
        case _1yEAR = "1_YEAR"
        case _5yEAR = "5_YEAR"
        case _10yEAR = "10_YEAR"
        case _20yEAR = "20_YEAR"
    }

    /**
     The Wildfire risk for a Latitude/Longitude point.

     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  
     - parameter category: (path) The category (Extremity of Fire Weather Risk) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_1&#x60; - Category 1 or higher * &#x60;CAT_2&#x60; - Category 2 or higher * &#x60;CAT_3&#x60; - Category 3 or higher * &#x60;CAT_4&#x60; - Category 4 or higher * &#x60;CAT_5&#x60; - Category 5 or higher * &#x60;CAT_6&#x60; - Category 6  
     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func pointsLatitudelongitudeHazardsWildfireRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsWildfireRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String, completion: @escaping ((_ data: RiskWildfirePointObj?,_ error: Error?) -> Void)) {
        pointsLatitudelongitudeHazardsWildfireRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: latitude, longitude: longitude, recurranceInterval: recurranceInterval, category: category).execute { (response, error) -> Void in
            completion(response?.body, error)
        }
    }


    /**
     The Wildfire risk for a Latitude/Longitude point.
     - GET /points/{latitude},{longitude}/hazards/wildfire/recurrenceinterval/{recurranceInterval}/category/{category}

     - API Key:
       - type: apiKey X-API-KEY 
       - name: ApiKeyAuth
     - examples: [{contentType=application/json, example={
  "riskMetadata" : {
    "riskCategory" : "CAT_1",
    "recurranceInterval" : "1_YEAR",
    "version" : 1
  },
  "location" : {
    "boundingPoints" : [ {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    }, {
      "onpointId" : 10725864,
      "elevation" : 173.5,
      "distance" : 2.6772,
      "grid" : "NORTH_AMERICA_GRID"
    } ],
    "timezone" : "America/New_York",
    "countryCode" : "US",
    "latitude" : 38.8552,
    "countryName" : "United States of America",
    "subdivName" : "Virginia",
    "subdivCode" : "US-VA",
    "longitude" : -77.0513
  },
  "risk" : {
    "prob" : 0.32,
    "extremeValue" : 0.8008282
  },
  "fieldList" : {
    "fields" : {
      "prob" : "Probability of risk between 0 and 1",
      "extremeValue" : "Always NULL for this risk"
    }
  }
}}]
     - parameter latitude: (path) A latitude value between -90° and 90°. 
     - parameter longitude: (path) A longitude value between -180° (West) and 180° (East). 
     - parameter recurranceInterval: (path) The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  
     - parameter category: (path) The category (Extremity of Fire Weather Risk) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_1&#x60; - Category 1 or higher * &#x60;CAT_2&#x60; - Category 2 or higher * &#x60;CAT_3&#x60; - Category 3 or higher * &#x60;CAT_4&#x60; - Category 4 or higher * &#x60;CAT_5&#x60; - Category 5 or higher * &#x60;CAT_6&#x60; - Category 6  

     - returns: RequestBuilder<RiskWildfirePointObj> 
     */
    open class func pointsLatitudelongitudeHazardsWildfireRecurrenceintervalRecurranceIntervalCategoryCategoryGetWithRequestBuilder(latitude: Float, longitude: Float, recurranceInterval: RecurranceInterval_pointsLatitudelongitudeHazardsWildfireRecurrenceintervalRecurranceIntervalCategoryCategoryGet, category: String) -> RequestBuilder<RiskWildfirePointObj> {
        var path = "/points/{latitude},{longitude}/hazards/wildfire/recurrenceinterval/{recurranceInterval}/category/{category}"
        let latitudePreEscape = "\(latitude)"
        let latitudePostEscape = latitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{latitude}", with: latitudePostEscape, options: .literal, range: nil)
        let longitudePreEscape = "\(longitude)"
        let longitudePostEscape = longitudePreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{longitude}", with: longitudePostEscape, options: .literal, range: nil)
        let recurranceIntervalPreEscape = "\(recurranceInterval.rawValue)"
        let recurranceIntervalPostEscape = recurranceIntervalPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{recurranceInterval}", with: recurranceIntervalPostEscape, options: .literal, range: nil)
        let categoryPreEscape = "\(category)"
        let categoryPostEscape = categoryPreEscape.addingPercentEncoding(withAllowedCharacters: .urlPathAllowed) ?? ""
        path = path.replacingOccurrences(of: "{category}", with: categoryPostEscape, options: .literal, range: nil)
        let URLString = SwaggerClientAPI.basePath + path
        let parameters: [String:Any]? = nil
        let url = URLComponents(string: URLString)


        let requestBuilder: RequestBuilder<RiskWildfirePointObj>.Type = SwaggerClientAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "GET", URLString: (url?.string ?? URLString), parameters: parameters, isBody: false)
    }
    /**
     The current data version for all hazard data sources.

     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func versionsGet(completion: @escaping ((_ data: VersionsObj?,_ error: Error?) -> Void)) {
        versionsGetWithRequestBuilder().execute { (response, error) -> Void in
            completion(response?.body, error)
        }
    }


    /**
     The current data version for all hazard data sources.
     - GET /versions

     - API Key:
       - type: apiKey X-API-KEY 
       - name: ApiKeyAuth
     - examples: [{contentType=application/json, example={
  "floodVersion" : 1
}}]

     - returns: RequestBuilder<VersionsObj> 
     */
    open class func versionsGetWithRequestBuilder() -> RequestBuilder<VersionsObj> {
        let path = "/versions"
        let URLString = SwaggerClientAPI.basePath + path
        let parameters: [String:Any]? = nil
        let url = URLComponents(string: URLString)


        let requestBuilder: RequestBuilder<VersionsObj>.Type = SwaggerClientAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "GET", URLString: (url?.string ?? URLString), parameters: parameters, isBody: false)
    }
}
